Loading...
Searching...
No Matches
volk_modtool.volk_modtool_generate.volk_modtool Class Reference

Inherits object.

## Public Member Functions

| __init__ (self, cfg)
| get_basename (self, base=None)
| get_current_kernels (self, base=None)
| make_module_skeleton (self)
| write_default_cfg (self, cfg)
| convert_kernel (self, oldvolk, name, base, inpath, top)
| remove_kernel (self, name)
| import_kernel (self, name, base)

## Data Fields

| volk = re.compile('volk')
| remove_after_underscore = re.compile("_.*")
| volk_included = re.compile('INCLUDED_VOLK')
| volk_profile = re.compile(r'^\s*(VOLK_PROFILE|VOLK_PUPPET_PROFILE).*\n', re.MULTILINE)
| volk_kernel_tests = re.compile(r'^\s*\‍((VOLK_INIT_TEST|VOLK_INIT_PUPP).*\n', re.MULTILINE)
| volk_null_kernel = re.compile(r'^\s*;\n', re.MULTILINE)
| my_dict = cfg
| lastline = re.compile(r'\s*char path\[1024\‍];.*')
| badassert = re.compile(r'^\s*assert\(toked\[0\‍] == "volk_.*\n', re.MULTILINE)
str | goodassert = ' assert(toked[0] == "volk");\n'
| baderase = re.compile(r'^\s*toked.erase\(toked.begin\(\‍)\‍);.*\n', re.MULTILINE)
str | gooderase = ' toked.erase(toked.begin());\n toked.erase(toked.begin());\n'

## Constructor & Destructor Documentation

## __init__()

volk_modtool.volk_modtool_generate.volk_modtool.__init__ | ( |  | self,
|  |  | cfg )

## Member Function Documentation

## convert_kernel()

volk_modtool.volk_modtool_generate.volk_modtool.convert_kernel | ( |  | self,
|  |  | oldvolk,
|  |  | name,
|  |  | base,
|  |  | inpath,
|  |  | top )

## get_basename()

volk_modtool.volk_modtool_generate.volk_modtool.get_basename | ( |  | self,
|  |  | base = None )

## get_current_kernels()

volk_modtool.volk_modtool_generate.volk_modtool.get_current_kernels | ( |  | self,
|  |  | base = None )

## import_kernel()

volk_modtool.volk_modtool_generate.volk_modtool.import_kernel | ( |  | self,
|  |  | name,
|  |  | base )

## make_module_skeleton()

volk_modtool.volk_modtool_generate.volk_modtool.make_module_skeleton | ( |  | self | ) |

## remove_kernel()

volk_modtool.volk_modtool_generate.volk_modtool.remove_kernel | ( |  | self,
|  |  | name )

## write_default_cfg()

volk_modtool.volk_modtool_generate.volk_modtool.write_default_cfg | ( |  | self,
|  |  | cfg )

## Field Documentation

## badassert

volk_modtool.volk_modtool_generate.volk_modtool.badassert = re.compile(r'^\s*assert\(toked\[0\‍] == "volk_.*\n', re.MULTILINE)

## baderase

volk_modtool.volk_modtool_generate.volk_modtool.baderase = re.compile(r'^\s*toked.erase\(toked.begin\(\‍)\‍);.*\n', re.MULTILINE)

## goodassert

str volk_modtool.volk_modtool_generate.volk_modtool.goodassert = ' assert(toked[0] == "volk");\n'

## gooderase

str volk_modtool.volk_modtool_generate.volk_modtool.gooderase = ' toked.erase(toked.begin());\n toked.erase(toked.begin());\n'

## lastline

volk_modtool.volk_modtool_generate.volk_modtool.lastline = re.compile(r'\s*char path\[1024\‍];.*')

## my_dict

volk_modtool.volk_modtool_generate.volk_modtool.my_dict = cfg

## remove_after_underscore

volk_modtool.volk_modtool_generate.volk_modtool.remove_after_underscore = re.compile("_.*")

## volk

volk_modtool.volk_modtool_generate.volk_modtool.volk = re.compile('volk')

## volk_included

volk_modtool.volk_modtool_generate.volk_modtool.volk_included = re.compile('INCLUDED_VOLK')

## volk_kernel_tests

volk_modtool.volk_modtool_generate.volk_modtool.volk_kernel_tests = re.compile(r'^\s*\‍((VOLK_INIT_TEST|VOLK_INIT_PUPP).*\n', re.MULTILINE)

## volk_null_kernel

volk_modtool.volk_modtool_generate.volk_modtool.volk_null_kernel = re.compile(r'^\s*;\n', re.MULTILINE)

## volk_profile

volk_modtool.volk_modtool_generate.volk_modtool.volk_profile = re.compile(r'^\s*(VOLK_PROFILE|VOLK_PUPPET_PROFILE).*\n', re.MULTILINE)